using System;

internal sealed class Delegate129 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate129 delegate129_1)
	{
		return delegate129_1(object_0);
	}

	public extern Delegate129(object object_0, IntPtr intptr_0);

	static Delegate129()
	{
		Class10.smethod_13(typeof(Delegate129).TypeHandle);
	}

	internal static Delegate129 delegate129_0;
}
